#include <Adafruit_GFX.h>
#include <Adafruit_ILI9341.h>

#define TFT_CS 5       // Chip select control pin
#define TFT_DC 16      // Data/command control pin
#define TFT_RST 4      // Reset pin

Adafruit_ILI9341 tft = Adafruit_ILI9341(TFT_CS, TFT_DC, TFT_RST);

void setup() {
  Serial.begin(115200);
  Serial.println("Inicializando ILI9341...");
  tft.begin();
  tft.setRotation(1); // Ajustar conforme necessário (0 a 3)
  tft.fillScreen(ILI9341_RED); // Encha a tela de vermelho para testar
  Serial.println("Tela preenchida com vermelho");
}

void loop() {
}
