#include <SPI.h>
#include <TFT_eSPI.h> // Biblioteca TFT_eSPI

TFT_eSPI tft = TFT_eSPI(); // Inicializa o display

void setup() {
  Serial.begin(115200);
  Serial.println("Inicializando ILI9341 com TFT_eSPI...");

  tft.init(); // Inicializa o display com a frequência padrão
  tft.setRotation(1); // Ajustar conforme necessário (1, 2, 3 ou 4)

  // Limpar a tela e imprimir algo simples
  tft.fillScreen(TFT_RED); // Preenche a tela de vermelho para testar
  tft.setTextColor(TFT_WHITE);
  tft.setTextSize(2);
  tft.setCursor(10, 10);
  tft.println("Teste TFT_eSPI ILI9341");
  Serial.println("Inicialização concluída e tela preenchida com vermelho");
}

void loop() {
  // Código de teste de cor para depuração
  tft.fillScreen(TFT_GREEN);
  delay(1000);
  tft.fillScreen(TFT_BLUE);
  delay(1000);
  tft.fillScreen(TFT_RED);
  delay(1000);
}
